Page MenuHomePhabricator

Update CI config once geoip2 is available
Closed, ResolvedPublic2 Estimated Story PointsDec 15 2020

Description

IPInfo uses the geoip2 library, which will be added in T174553/T269475, following a security readiness review: T262963.

Until then Phan CI fails, blocking new commits to the IPInfo repo, so we either need to disable Phan temporarily or use composer in CI temporarily.

We should reinstate the original config once geoip2 is available in mediawiki/vendor.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2020, 2:24 PM

This is a deployment blocker.

ARamirez_WMF set the point value for this task to 2.Oct 21 2020, 4:11 PM
ARamirez_WMF set Due Date to Dec 15 2020, 5:00 AM.Dec 2 2020, 6:05 PM
ARamirez_WMF changed the subtype of this task from "Task" to "Deadline".

Change 645440 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[integration/config@master] Re-enable phan for IPInfo extension

https://gerrit.wikimedia.org/r/645440

Change 645440 merged by jenkins-bot:
[integration/config@master] Zuul: [mediawiki/extensions/IPInfo] Re-enable phan, move to prod section

https://gerrit.wikimedia.org/r/645440

Mentioned in SAL (#wikimedia-releng) [2020-12-04T23:12:42Z] <James_F> Zuul: [mediawiki/extensions/IPInfo] Re-enable phan, move to prod section T266136

Jdforrester-WMF closed this task as Resolved.Dec 4 2020, 11:13 PM